#include<bits/stdc++.h>
#define ll long long
#define MOD 1000000007
using namespace std;
ll N,koliko[30];
string A;
int main(){
    ios_base::sync_with_stdio(false);
    cin>>N>>A;
    N=A.size();
    koliko[0]=1;
    for(int i=0;i<A.size();i++)
        A[i]-=64;
    for(int i=0;i<A.size();i++)
        koliko[A[i]]=(koliko[A[i]]+koliko[A[i]-1])%MOD;
    cout<<koliko[26]<<endl;
    return 0;
}